Subject: bug#43717: [feature/native-comp] pdf-tools missing arrow tooltip

From: Andrea Corallo <[email-masked]>
Date: Wed, 30 Sep 2020 08:01:28 +0000

Hello Nino,

thanks for reporting.

I think this is a problem in pdf-tools codebase.

The macro `pdf-view-current-overlay' is used inside
`pdf-util-tooltip-arrow' but no require was performed therefore the
compiler can't expand it at compile time (and is assumed to be a
function).

Interestingly this and similarly other macros (pdf-view-image-size,
pdf-view-image-offset, pdf-view-current-image, pdf-view-current-overlay,
pdf-cache-pagesize) should generate a warning but this is silenced using
a declare-function (see top of pdf-util.el).

I think this issue should be reported to pdf-tools, I believe the repo
should be <https://github.com/politza/pdf-tools>.

  Andrea